Subject: RE: FC Mgmt mib

From: [email-masked]
Date: Wed, 29 May 2002 15:38:47 -0700

Keith,

> 
> 3. A new table for 'tunnel' ports
> 
> - I'd rather not add a new table unless it's absolutely necessary.
>   How about I just broaden the scope of the fcmEPortTable so that
>   it applies not only to E_Ports but also to 'tunnel' ports ??
>

> The MIB will also need a new group for devices supporting 'tunnel'
> functionality, which will contain just fcmEPortClassFCredit
> and fcmEPortClassFDataFieldSize, right ??

For FC over IP a port can be either a B_port or an E_port. A B_port supports
Class F frames and thus could at least use the Class F BB_Credit object that
you specified in fcmEPortTable. 

The MIB defines the FcUnitFunction type of 'bridge' as "encapsulates FC
frames within another protocol". Doesn't this imply "tunneling"? 

Since a B_port is transparent to the Fabric, just providing a table for
B_Ports may provide a solution for other devices/ports that are transparent
to the Fabric and need an object for BB_Credit.

Thanks,
Charissa